freemarker.core

## Class Configurable.SettingValueAssignmentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - freemarker.template.TemplateException
      - - freemarker.core._MiscTemplateException
        - - freemarker.core.Configurable.SettingValueAssignmentException

All Implemented Interfaces:
  Serializable

Enclosing class:
  Configurable

    public static class Configurable.SettingValueAssignmentException
    extends freemarker.core._MiscTemplateException

The setting name was recognized, but its value couldn't be parsed or the setting couldn't be set for some other reason. This exception always has a cause exception.

Since:
  2.3.21
See Also:
  Serialized Form

### Method Summary

### Methods inherited from class freemarker.template.TemplateException

`getBlamedExpressionString, getCauseException, getColumnNumber, getEndColumnNumber, getEndLineNumber, getEnvironment, getFTLInstructionStack, getLineNumber, getMessage, getMessageWithoutStackTop, getTemplateName, getTemplateSourceName, printStackTrace, printStackTrace, printStackTrace, printStackTrace, printStandardStackTrace, printStandardStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`